<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="Level" package="performa.orm">
                
        <MULTIPLEREFERENCE  name="Factors"          type="FactorLevelLink"      backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="Results"          type="FactorScoreResult"    backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="Narratives"       type="Narrative"            backreferenceName="Level"   />
        <MULTIPLEREFERENCE  name="TestAnalysises"   type="TestAnalysis"         backreferenceName="Level"   />

        <TABLE  name="tl_level" tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="LevelDescription" type="String"   dbcol="level_desc"  length="30"/>
            <ATTRIB name="LevelNotes"       type="String"   dbcol="level_notes"/>
            <ATTRIB name="ReportHeader"     type="String"   dbcol="rpt_hdr"/>

        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_level.object_id is not null"    orderBy="tl_level.object_id"    />
        
    </BUSINESSCLASS>
    
</ROOT>